MongoDB\Driver\Server::getTags
MongoDB\Driver\Server::isArbiter
MongoDB\Driver\Server
PHP Manual

# MongoDB\Driver\Server::getType

(mongodb >=1.0.0)

MongoDB\Driver\Server::getType — Returns an integer denoting the type of this server

### Description

final public int MongoDB\Driver\Server::getType ( void )

Returns an integer denoting the type of this server. The value will correlate with a MongoDB\Driver\Server constant.

### Parameters

This function has no parameters.

### Return Values

Returns an integer denoting the type of this server.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Server::getInfo() - Returns an array of information about this server

MongoDB\Driver\Server::getTags
MongoDB\Driver\Server::isArbiter
MongoDB\Driver\Server
PHP Manual